﻿using System;

namespace DungeonGenerator131202
{
	[Flags]
	public enum Grid : ushort
	{
		Zero				= 0,
		Room				= 1,
		Passage				= 1 << 1,
		Space				= Room | Passage,
		LeftWall			= 1 << 8,
		TopWall				= 1 << 9,
		RightWall			= 1 << 10,
		BottomWall			= 1 << 11,
		Cubicle				= LeftWall | TopWall | RightWall | BottomWall,
		VerticalPassage		= Passage | LeftWall | RightWall,
		HorizontalPassage	= Passage | TopWall | BottomWall,
		LeftGate			= 1 << 12,
		TopGate				= 1 << 13,
		RightGate			= 1 << 14,
		BottomGate			= 1 << 15,
	}
}
